Bug Hunting Session
Bug 112992 - RTL: Textbox, spinbox and combobox input fields should be right aligned
Summary: RTL: Textbox, spinbox and combobox input fields should be right aligned
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2017-10-08 10:24 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-11-16 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (68.72 KB, image/png)
2017-10-08 10:24 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-08 10:24:49 UTC
Created attachment 136844 [details]
screenshot

steps
1. start writer in Arabic or Hebrew UI
2. notice that the text in the paragraph style, font name and font size comboboxes in the toolbar are left aligned
3. Format > Character or right-click > Character
4. notice the left alignment of text in comboboxes in the Font/first tab
5. notice the left alignment of text in textboxes in the Hyperlink/4th tab
6. notice the left alignment of text in width spinbox in the Borders/last tab

Version: 6.0.0.0.alpha0+
Build ID: c5a93cad149618bbd43632f1660a558c34bdbf7e
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-10-07_01:12:25
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Lior Kaplan 2017-10-08 11:18:30 UTC
This problem isn't new, already present in 5.1.6.

When testing with Hebrew interface, the comboboxes are aligned right when expended (the list itself), but the selected option in aligned to the left (as the case shown in Yousuf's screenshot.

I wish we could have choose in the code about alignment, as font names in English or font sizes can be aligned left while other fields should be aligned right.
Comment 2 Yousuf Philips (jay) (retired) 2017-10-13 01:29:49 UTC
Maxim: As this is already working correctly for drop down lists, would it be easy to fix for other input fields?
Comment 3 Omer Zak 2017-11-15 06:01:17 UTC
Still happens in:

Version: 6.0.0.0.alpha1+
Build ID: 9050854c35c389466923f0224a36572d36cd471a
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 4 QA Administrators 2018-11-16 03:42:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug